import 'simple_types.dart';

/// The price defined in integer euros per 1 year.
/// \source https://domains.google.com -> https://docs.google.com/spreadsheets/d/12v_r3ntwXvEAPXaWXm57Po_h8JmXnwx5vuzXeMSl7CM
const EndingsPriceEuro endingsPriceEuro = {
  'academy': 29,
  'accountant': 29,
  'accountants': 114,
  'actor': 38,
  'agency': 19,
  'airforce': 29,
  'apartments': 57,
  'app': 14,
  'army': 29,
  'art': 14,
  'associates': 29,
  'attorney': 38,
  'au': 12,
  'auction': 29,
  'audio': 140,
  'autos': 15,
  'baby': 75,
  'band': 19,
  'bar': 76,
  'bargains': 29,
  'beauty': 14,
  'best': 19,
  'bid': 29,
  'bike': 29,
  'bingo': 48,
  'bio': 66,
  'biz': 15,
  'black': 57,
  'blog': 29,
  'blue': 19,
  'boats': 15,
  'bond': 12,
  'boo': 12,
  'boutique': 29,
  'builders': 29,
  'business': 12,
  'buzz': 38,
  'ca': 12,
  'cab': 29,
  'cafe': 38,
  'cam': 19,
  'camera': 38,
  'camp': 38,
  'capital': 48,
  'cards': 29,
  'care': 29,
  'careers': 48,
  'cash': 29,
  'casino': 124,
  'catering': 29,
  'cc': 19,
  'center': 19,
  'ceo': 95,
  'charity': 29,
  'chat': 38,
  'cheap': 29,
  'church': 38,
  'city': 19,
  'claims': 57,
  'cleaning': 38,
  'clinic': 48,
  'clothing': 29,
  'cloud': 19,
  'club': 13,
  'co': 29,
  'co.in': 11,
  'co.nz': 18,
  'co.uk': 12,
  'coach': 57,
  'codes': 48,
  'coffee': 29,
  'college': 66,
  'com': 12,
  'com.au': 12,
  'com.mx': 19,
  'community': 29,
  'company': 14,
  'computer': 29,
  'condos': 48,
  'construction': 29,
  'consulting': 29,
  'contact': 12,
  'contractors': 29,
  'cool': 29,
  'coupons': 57,
  'credit': 114,
  'creditcard': 124,
  'cricket': 29,
  'cruises': 48,
  'dad': 14,
  'dance': 19,
  'date': 29,
  'dating': 48,
  'day': 12,
  'de': 7,
  'deals': 38,
  'degree': 38,
  'delivery': 57,
  'democrat': 29,
  'dental': 48,
  'dentist': 38,
  'design': 38,
  'dev': 12,
  'diamonds': 48,
  'digital': 38,
  'direct': 38,
  'directory': 19,
  'discount': 29,
  'doctor': 95,
  'dog': 38,
  'domains': 29,
  'download': 29,
  'earth': 19,
  'eco': 76,
  'education': 19,
  'email': 19,
  'energy': 114,
  'engineer': 29,
  'engineering': 48,
  'enterprises': 29,
  'equipment': 19,
  'esq': 28,
  'estate': 29,
  'events': 29,
  'exchange': 29,
  'expert': 48,
  'exposed': 19,
  'express': 29,
  'fail': 29,
  'faith': 29,
  'family': 19,
  'fan': 38,
  'fans': 12,
  'farm': 29,
  'finance': 57,
  'financial': 48,
  'fish': 29,
  'fitness': 29,
  'flights': 48,
  'florist': 29,
  'foo': 14,
  'football': 29,
  'forsale': 29,
  'foundation': 29,
  'fr': 10,
  'fun': 19,
  'fund': 48,
  'furniture': 48,
  'futbol': 13,
  'fyi': 19,
  'gallery': 19,
  'games': 19,
  'gay': 38,
  'gifts': 38,
  'gives': 29,
  'glass': 38,
  'global': 76,
  'gmbh': 29,
  'gold': 114,
  'golf': 57,
  'graphics': 19,
  'gratis': 19,
  'green': 76,
  'gripe': 29,
  'group': 19,
  'guide': 38,
  'guru': 27,
  'hair': 14,
  'haus': 27,
  'health': 76,
  'healthcare': 57,
  'hockey': 57,
  'holdings': 48,
  'holiday': 48,
  'homes': 15,
  'hospital': 48,
  'host': 114,
  'house': 29,
  'how': 29,
  'icu': 12,
  'immo': 38,
  'immobilien': 29,
  'in': 12,
  'industries': 29,
  'info': 20,
  'ink': 27,
  'institute': 19,
  'insure': 57,
  'international': 19,
  'investments': 76,
  'io': 57,
  'irish': 14,
  'it': 12,
  'jetzt': 19,
  'jewelry': 57,
  'jp': 38,
  'kaufen': 29,
  'kitchen': 38,
  'land': 29,
  'lat': 28,
  'lawyer': 38,
  'lease': 48,
  'legal': 57,
  'life': 38,
  'lighting': 19,
  'limited': 29,
  'limo': 48,
  'live': 19,
  'llc': 29,
  'loan': 29,
  'loans': 114,
  'lol': 28,
  'love': 29,
  'ltd': 19,
  'luxury': 38,
  'maison': 48,
  'makeup': 14,
  'management': 19,
  'market': 38,
  'marketing': 29,
  'mba': 38,
  'me': 19,
  'media': 29,
  'memorial': 57,
  'men': 29,
  'mobi': 19,
  'moda': 29,
  'mom': 38,
  'money': 38,
  'monster': 14,
  'mortgage': 38,
  'mov': 14,
  'movie': 302,
  'mx': 38,
  'navy': 29,
  'net': 12,
  'network': 19,
  'news': 29,
  'nexus': 14,
  'ninja': 18,
  'nl': 8,
  'one': 12,
  'online': 29,
  'ooo': 29,
  'org': 12,
  'page': 10,
  'partners': 48,
  'parts': 29,
  'party': 29,
  'phd': 28,
  'photography': 19,
  'photos': 19,
  'pics': 28,
  'pictures': 11,
  'pizza': 57,
  'pl': 19,
  'place': 15,
  'plumbing': 38,
  'plus': 38,
  'press': 57,
  'pro': 19,
  'productions': 29,
  'prof': 28,
  'promo': 19,
  'properties': 29,
  'pub': 29,
  'pw': 18,
  'quest': 14,
  'racing': 29,
  'realty': 330,
  'recipes': 48,
  'red': 19,
  'rehab': 29,
  'reise': 114,
  'reisen': 19,
  'rent': 66,
  'rentals': 29,
  'repair': 29,
  'report': 19,
  'republican': 29,
  'rest': 38,
  'restaurant': 57,
  'review': 29,
  'reviews': 19,
  'rip': 19,
  'rocks': 13,
  'rsvp': 12,
  'run': 19,
  'sale': 29,
  'salon': 48,
  'sarl': 38,
  'school': 38,
  'schule': 19,
  'science': 29,
  'services': 29,
  'shoes': 38,
  'shopping': 29,
  'show': 38,
  'singles': 29,
  'site': 19,
  'ski': 48,
  'skin': 14,
  'soccer': 19,
  'social': 29,
  'software': 38,
  'solar': 38,
  'solutions': 19,
  'soy': 19,
  'space': 19,
  'store': 48,
  'stream': 29,
  'studio': 19,
  'style': 38,
  'supplies': 19,
  'supply': 19,
  'support': 19,
  'surgery': 48,
  'systems': 19,
  'tax': 48,
  'taxi': 57,
  'team': 38,
  'tech': 38,
  'technology': 19,
  'tennis': 57,
  'theater': 57,
  'tienda': 48,
  'tips': 19,
  'tires': 114,
  'today': 19,
  'tools': 29,
  'tours': 57,
  'town': 29,
  'toys': 38,
  'trade': 29,
  'training': 29,
  'tube': 29,
  'uk': 12,
  'university': 48,
  'uno': 19,
  'us': 12,
  'vacations': 29,
  'vegas': 57,
  'ventures': 48,
  'vet': 29,
  'viajes': 48,
  'video': 19,
  'villas': 48,
  'vin': 57,
  'vision': 29,
  'vote': 76,
  'voyage': 48,
  'watch': 29,
  'webcam': 29,
  'website': 19,
  'wiki': 27,
  'win': 29,
  'wine': 57,
  'works': 29,
  'world': 38,
  'wtf': 29,
  'xyz': 12,
  'yachts': 14,
  'zip': 14,
  'zone': 29,
};
